Php-mcrypt

General support questions

Php-mcrypt

Postby zycus » 2011/08/26 06:28:35

How to install php-mcrypt in centos 6 with php5.3?
zycus
 
Posts: 9
Joined: 2011/07/27 09:44:50
Location: london

Re: Php-mcrypt

Postby lystor » 2011/08/26 07:30:57

zycus wrote:
How to install php-mcrypt in centos 6 with php5.3?

Hi
You can install php-mcrypt rpm on CentOS 6 from third-party EPEL repository:
1. Add EPEL repository;
2. Install php-mcrypt rpm:
Code: Select all
# yum install php-mcrypt
lystor
 
Posts: 187
Joined: 2008/09/10 15:46:12
Location: Ukraine, Donetsk

Re: Php-mcrypt

Postby zycus » 2011/08/26 08:33:31

yum install is not working.
php-mcrypt no such package.
zycus
 
Posts: 9
Joined: 2011/07/27 09:44:50
Location: london

Php-mcrypt

Postby markkuk » 2011/08/26 11:04:01

Did you configure the EPEL repository first? See the How to Provide Information About Your System article, and post the results of running "./getinfo.sh package" on your system.
markkuk
 
Posts: 682
Joined: 2007/09/07 10:56:28
Location: Finland

Re: Php-mcrypt

Postby kgiroux » 2011/08/31 17:36:50

Hello,

Thanks for the info. Most of it worked but I'm having a little issue. I have CentOS 6 and I added the EPEL repository but Php-mcrypt still won't install. When I run "yum install php-mcrypt" I get this.

[root@centos6 sampledomain.com]# yum install php-mcrypt
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* base: yum.singlehop.com
* epel: mirror.metrocast.net
* extras: mirrors.usc.edu
* rpmforge: fr2.rpmfind.net
* updates: mirrors.usc.edu
base | 3.7 kB 00:00
epel | 3.7 kB 00:00
epel/primary_db | 3.8 MB 00:00
extras | 951 B 00:00
rpmforge | 1.1 kB 00:00
updates | 3.5 kB 00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-mcrypt.x86_64 0:5.1.6-5.el5 set to be updated
--> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.x86_64
--> Finished Dependency Resolution
Error: Package: php-mcrypt-5.1.6-5.el5.x86_64 (epel)
Requires: php-api = 20041225
Installed: php-common-5.3.2-6.el6_0.1.x86_64 (@updates)
php-api = 20090626
Available: php-common-5.3.2-6.el6.x86_64 (base)
php-api = 20090626
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@centos6 sampledomain.com]#

Anyideas what to do from here?

Thanks,

Kgiroux
kgiroux
 
Posts: 2
Joined: 2011/08/31 16:10:21

Re: Php-mcrypt

Postby lystor » 2011/08/31 17:42:59

kgiroux wrote:
--> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.x86_64

You have added EPEL repository for CentOS 5, not for CentOS 6.
lystor
 
Posts: 187
Joined: 2008/09/10 15:46:12
Location: Ukraine, Donetsk

Re: Php-mcrypt

Postby kgiroux » 2011/08/31 18:18:05

Oh man! Well I removed the wrong EPEL repository and added the correct one and as expected it worked. Sorry about that.

Thank you,

kgiroux
kgiroux
 
Posts: 2
Joined: 2011/08/31 16:10:21


Return to CentOS 6 - General Support

Who is online

Users browsing this forum: No registered users and 4 guests